It is currently Mon Dec 17, 2018 12:53 am


All times are UTC




Post new topic Reply to topic  [ 9 posts ] 
Author Message
 Post subject: Need help with OSX Lion BETA....getting error
PostPosted: Mon Dec 12, 2011 1:53 pm 
Offline

Joined: Mon Dec 12, 2011 1:46 pm
Posts: 2
Here is the log output, any ideas? Sorry, I'm kind of new to Mac. I was hoping this DMG would be easier than compiling everything myself.

12/12/11 8:43:18.997 AM [0x0-0x142142].net.gns3: ---------Traceback lines (saved in exception.log)----------
12/12/11 8:43:18.997 AM [0x0-0x142142].net.gns3: Traceback (most recent call last):
12/12/11 8:43:18.997 AM [0x0-0x142142].net.gns3: File "/Applications/GNS3.app/Contents/Resources/__boot__.py", line 58, in <module>
12/12/11 8:43:18.997 AM [0x0-0x142142].net.gns3: File "/Applications/GNS3.app/Contents/Resources/__boot__.py", line 55, in _run
12/12/11 8:43:18.997 AM [0x0-0x142142].net.gns3: File "/Applications/GNS3.app/Contents/Resources/gns3.pyw", line 97, in <module>
12/12/11 8:43:18.997 AM [0x0-0x142142].net.gns3: File "GNS3/Main.pyo", line 61, in <module>
12/12/11 8:43:18.997 AM [0x0-0x142142].net.gns3: File "GNS3/Application.pyo", line 355, in run
12/12/11 8:43:18.997 AM [0x0-0x142142].net.gns3: File "GNS3/Config/Objects.pyo", line 64, in __setattr__
12/12/11 8:43:18.997 AM [0x0-0x142142].net.gns3: AttributeError: value of `path' must be of type: <type 'unicode'>




Top
 Profile  
 
 Post subject: Re: Need help with OSX Lion BETA....getting error
PostPosted: Wed Dec 14, 2011 12:07 am 
Offline

Joined: Tue Dec 13, 2011 9:09 pm
Posts: 1
Same here. After installing from the GNS3 0.8.2 Beta DMG, I get exactly the same output as trhayes76.


Top
 Profile  
 
 Post subject: Re: Need help with OSX Lion BETA....getting error
PostPosted: Sun Dec 18, 2011 10:24 pm 
Offline

Joined: Sun Dec 18, 2011 10:17 pm
Posts: 2
It's strange, I don't know why, but here is how I get the beta (0.8.2) working -->

Download the 0.7.4-intel-x86_64.dmg, open it and run it then close it. Run the 0.8.2 again, it works.


Top
 Profile  
 
 Post subject: Re: Need help with OSX Lion BETA....getting error
PostPosted: Mon Dec 19, 2011 3:31 am 
I tried few times too, but getting error like other users.


Edit: After spending sometime and reading forums, and i am positive that there is something wrong with the configuration file.
If you try installing and running the v 0.7.4 and then the lion rc3 it will work fine.
therefore not a big deal.

Good product, kudos to developer.


Top
  
 
 Post subject: Re: Need help with OSX Lion BETA....getting error
PostPosted: Mon Dec 19, 2011 12:13 pm 
Code:
---------Traceback lines (saved in exception.log)----------
Traceback (most recent call last):

  File "gns3.pyw", line 97, in <module>
    import GNS3.Main

  File "/Users/menno/Downloads/GNS3-0.8.2-BETA-src/src/GNS3/Main.py", line 61, in <module>
    app.run(file)

  File "/Users/menno/Downloads/GNS3-0.8.2-BETA-src/src/GNS3/Application.py", line 355, in run
    confo.path = ConfDB().get('Dynamips/hypervisor_path', Defaults.DYNAMIPS_DEFAULT_PATH)

  File "/Users/menno/Downloads/GNS3-0.8.2-BETA-src/src/GNS3/Config/Objects.py", line 64, in __setattr__
    % (name, str(self.__dict__['types'][name]))

AttributeError: value of `path' must be of type: <type 'unicode'>



I also get this error. If I trace it back to the source >

Code:
# Default path to Dynamips executable
if sys.platform.startswith('win'):
    DYNAMIPS_DEFAULT_PATH = unicode('dynamips.exe')
elif sys.platform.startswith('darwin'):
    DYNAMIPS_DEFAULT_PATH = os.getcwd() + os.sep + 'dynamips-0.2.8-RC3-community-OSX.intel64.bin'
else:
    DYNAMIPS_DEFAULT_PATH = unicode('dynamips')

Code:
        if self.__dict__['conf'].has_key(name):
            # Check the `value' type
            if not type(value) == self.__dict__['types'][name]:
                raise AttributeError, "value of `%s' must be of type: %s" \
                    % (name, str(self.__dict__['types'][name]))


It tries to load default config 'dynamips' if none exists. Though something goes wrong with the darwin attribute type part.
If I comment the darwin part it works just fine for the first run. So I guess it's just a first run check bug. I'll try to build a working version.


Top
  
 
 Post subject: Re: Need help with OSX Lion BETA....getting error
PostPosted: Mon Dec 19, 2011 3:25 pm 
Offline

Joined: Tue Dec 01, 2009 10:01 pm
Posts: 9
Thanks a bunch. The 0.7.4 > RC3 > 0.8.2 worked for me as well.


Top
 Profile  
 
 Post subject: Re: Need help with OSX Lion BETA....getting error
PostPosted: Tue Dec 20, 2011 1:11 pm 
Offline

Joined: Mon Dec 12, 2011 1:46 pm
Posts: 2
dave421 wrote:
Thanks a bunch. The 0.7.4 > RC3 > 0.8.2 worked for me as well.


Can you detail the exact process? I have 0.7.4 working. When I install the 0.8.2, do I replace or keep both? Any help would be appreciated.So far I have tried both and still get the error when launching 0.8.2.


Top
 Profile  
 
 Post subject: Re: Need help with OSX Lion BETA....getting error
PostPosted: Tue Dec 20, 2011 8:29 pm 
Offline

Joined: Tue Dec 01, 2009 10:01 pm
Posts: 9
sure thing. not all these steps may be necessary, but these were the steps I took when doing some experimenting based on wsu108's post...

1) deleted 0.8.2
2) installed 0.7.4
3) opened app/closed after receiving dynamips error from pref pane
4) installed dynamips RC3 for OSX
5) sudo open /Applications/GNS3.app
6) tested dynamips successfully from pref pane and built small network to test & closed
7) dropped 0.8.2 on top
8) opened, tested fine, and closed
9) sudo open /Applications/GNS3.app to test tap interfaces

hope that helps and i didn't miss any steps i did. i'll post any additional findings i find from playing with the beta.

--dave


Top
 Profile  
 
 Post subject: Re: Need help with OSX Lion BETA....getting error
PostPosted: Tue Dec 27, 2011 6:29 am 
Offline

Joined: Sun Dec 18, 2011 10:17 pm
Posts: 2
I think it may something to do with the python. The Lion comes with python v2.7.1. So if I don't install python v2.7.2, I have trouble to run the 0.8.2-beta. Note that I install the python 2.7.2 after I install the QT lib, sip and ptqt. Executing 0.7.4, quite, then execute the 0.8.2-beta, it works.

The Dynamips is located unders Resources folder. So you have to click the "..." button to select the dynamics, navigate to resources, you can find the dynamips.




Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 9 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group

phpBB SEO